import plotnine as p9
import pandas as pd

acs = pd.read_csv('acs.csv',
    dtype = {                
                'female' : 'category',
                'hispanic' : 'category'
            }
    )
                   
                  
print(acs)
print(acs.dtypes)

print(
      p9.ggplot(acs, p9.aes('age', 'income')) +
          p9.geom_point(alpha=.2) +
          p9.facet_wrap('~female') +
          p9.geom_smooth(color='blue')
          )        

print(
      p9.ggplot(acs, p9.aes('hispanic', 'income')) +
          p9.geom_boxplot()      
      )

print(
      p9.ggplot(acs, p9.aes('edu', 'income')) +
          p9.geom_boxplot() +
          p9.coord_flip()
      )

print(
      p9.ggplot(acs, p9.aes('race', 'age')) +
          p9.geom_boxplot() +
          p9.coord_flip() +
          p9.ggtitle('Age by Race') +
          p9.ylab('Age in Years') +
          p9.xlab('Racial Group') +
          p9.labs(title='Whites are Old')
      )